/// <reference types="bluebird" />
import * as Promise from 'bluebird';
import { FileSystem, Directory } from "./api";
import { InternalEventsEmitter } from "./utils";
export declare class LocalFileSystemCrudOnly implements FileSystem {
    baseUrl: any;
    readonly events: InternalEventsEmitter;
    private ignore;
    protected isIgnored: (path: string) => boolean;
    constructor(baseUrl: any, ignore?: Array<string>);
    saveFile(relPath: string, newContent: string): Promise<void>;
    deleteFile(relPath: string): Promise<void>;
    deleteDirectory(relPath: string, recursive?: boolean): Promise<void>;
    loadTextFile(relPath: string): Promise<string>;
    loadDirectoryTree(): Promise<Directory>;
    ensureDirectory(relPath: string): Promise<void>;
}
