/// <reference types="bluebird" />
import * as Promise from 'bluebird';
import { FileSystem, Directory } from "./api";
import { InternalEventsEmitter } from "./utils";
export declare class MemoryFileSystem implements FileSystem {
    baseUrl: string;
    readonly events: InternalEventsEmitter;
    private readonly root;
    private ignore;
    private isIgnored;
    constructor(baseUrl?: string, ignore?: Array<string>);
    private getPathTarget(pathArr);
    saveFile(fullPath: string, newContent: string): Promise<void>;
    deleteFile(fullPath: string): Promise<void>;
    deleteDirectory(fullPath: string, recursive?: boolean): Promise<void>;
    ensureDirectory(fullPath: string): Promise<void>;
    loadTextFile(fullPath: any): Promise<string>;
    loadDirectoryTree(): Promise<Directory>;
    saveFileSync(fullPath: string, newContent: string): void;
    deleteFileSync(fullPath: string): void;
    deleteDirectorySync(fullPath: string, recursive?: boolean): void;
    ensureDirectorySync(fullPath: string): void;
    loadTextFileSync(fullPath: any): string;
    loadDirectoryTreeSync(): Directory;
    private parseTree(node);
    private recursiveEmitDeletion(node);
}
