/// <reference types="bluebird" />
import { FileSystem, Directory, EventEmitter } from './api';
import * as Promise from 'bluebird';
export declare class TimeoutFileSystem implements FileSystem {
    private timeout;
    private fs;
    constructor(timeout: number, fs: FileSystem);
    readonly events: EventEmitter;
    readonly baseUrl: string;
    saveFile(fullPath: string, newContent: string): Promise<void>;
    deleteFile(fullPath: string): Promise<void>;
    deleteDirectory(fullPath: string, recursive?: boolean): Promise<void>;
    loadTextFile(fullPath: string): Promise<string>;
    loadDirectoryTree(): Promise<Directory>;
    ensureDirectory(fullPath: string): Promise<void>;
    dispose(): void;
}
