/// <reference types="bluebird" />
import * as Promise from 'bluebird';
import { FileSystem, Directory } from './api';
import { InternalEventsEmitter } from "./utils";
export declare const noConnectionError: string;
export declare class WampClientFileSystem implements FileSystem {
    private realm;
    private initTimeout;
    readonly events: InternalEventsEmitter;
    private connection;
    private session;
    private realmPrefix;
    baseUrl: string;
    constructor(url: any, realm: string, initTimeout?: number);
    init(): Promise<WampClientFileSystem>;
    saveFile(fullPath: string, newContent: string): Promise<void>;
    deleteFile(fullPath: string): Promise<void>;
    deleteDirectory(fullPath: string, recursive?: boolean): Promise<void>;
    ensureDirectory(fullPath: string): Promise<void>;
    loadTextFile(fullPath: any): Promise<string>;
    loadDirectoryTree(): Promise<Directory>;
    dispose(): void;
}
